/* 询盘 */
.common-main {
    margin: 9% auto 3%;
}

.l-wrap {
    width: 100%;
    margin: 0px auto;
    max-width: 1640px;
    padding: 0px 15px;
}


.feedback p {
    font-size: 16px;
    line-height: 30px;
}

.inquiry-prolist {
    margin: 20px 0px;
    padding: 0px 20px;
    display: none;
    border: 1px solid #DDD;
}

.inquiry-prolist .inquiry-pro-item {
    width: 100%;
    height: 100px;
    padding: 20px 0px;
    border-bottom: 1px solid #DDDDDD;
    display: flex;
    box-sizing: content-box;
}

.inquiry-prolist .inquiry-pro-item:last-child {
    border: none;
}

.inquiry-prolist .inquiry-pro-item .pro-item-img {
    width: 100px;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden
}

.inquiry-prolist .inquiry-pro-item .pro-item-img img {
    width:100%;
    vertical-align: bottom;
}

.inquiry-prolist .inquiry-pro-item .pro-item-name {
    margin: 20px 0px 0px 20px;
    font-size: var(--fontsize16);
    width: 50%
}

.inquiry-prolist .inquiry-pro-item .pro-item-name a {
    font-size: var(--fontsize16)
}

.inquiry-prolist .inquiry-pro-item .pro-item-name a:hover {
    color: var(--color)
}

.inquiry-prolist .inquiry-pro-item .pro-item-name p {
    padding: 0px;
    margin: 0px
}

.inquiry-prolist .inquiry-pro-item .pro-item-del {
    position: relative;
    width: 30px;
    margin-left: auto;
    display: flex;
    justify-content: center;
    align-items: center
}

.inquiry-prolist .inquiry-pro-item .pro-item-del .ic-close {
    position: absolute;
    width: 30px;
    height: 30px;
    left: 0px;
    top: 40px
}

.inquiry-prolist .inquiry-pro-item .pro-item-del .ic-close:before,.inquiry-prolist .inquiry-pro-item .pro-item-del .ic-close:after {
    position: absolute;
    left: 15px;
    content: "";
    height: 20px;
    width: 2px;
    background-color: #333333
}

.inquiry-prolist .inquiry-pro-item .pro-item-del .ic-close:before {
    transform: rotate(45deg)
}

.inquiry-prolist .inquiry-pro-item .pro-item-del .ic-close:after {
    transform: rotate(-45deg)
}

.inquiry-prolist .inquiry-pro-item .pro-item-del .ic-close:hover {
    cursor: pointer
}

.inquiry-prolist .inquiry-pro-item:last-child {
    border: none;
}

@media screen and (max-width: 767px) {
    .inquiry-prolist {
        padding:0vw 3vw
    }

    .inquiry-prolist .inquiry-pro-item {
        padding: 3vw 0vw
    }

    .inquiry-prolist .inquiry-pro-item .pro-item-del {
        padding-top: 0px;
        width: 10vw
    }

    .inquiry-prolist .inquiry-pro-item .pro-item-del .ic-close {
        right: 0px;
        top: 8vw
    }

    .inquiry-prolist .inquiry-pro-item .pro-item-name {
        font-size: var(--fontsize16);
        margin: 0px
    }

    .inquiry-prolist .inquiry-pro-item .pro-item-name p a {
        font-size: var(--fontsize16);
        overflow: hidden;
        text-overflow: ellipsis;
        display: -webkit-box;
        -webkit-line-clamp: 2;
        -webkit-box-orient: vertical
    }

    .inquiry-prolist .inquiry-pro-item .pro-item-img {
        margin-right: 3vw
    }

    .cart-panel {
        width: 100vw;
        transition: all .2s ease;
        box-shadow: none;
        box-shadow: initial
    }

    .cart-panel .arrow {
        display: block
    }

    .cart-panel.show-cart,.cart-panel.is-active {
        bottom: calc(14vw + constant(safe-area-inset-bottom));
        bottom: calc(14vw + env(safe-area-inset-bottom))
    }

    .cart-btn {
        position: relative;
        flex-direction: column;
        width: 100%;
        height: 100%;
        bottom: auto;
        bottom: initial;
        right: auto;
        right: initial;
        border-radius: inherit;
        background: none
    }

    .cart-btn .num {
        width: 18px;
        height: 18px;
        line-height: 18px;
        font-size: var(--fontsize12);
        top: 3px;
        right: 0px
    }
}


.send-inquiry .inquiry-form {
    position: relative;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap
}

.send-inquiry .inquiry-form input,.send-inquiry .inquiry-form textarea {
    transition: .3s
}

.send-inquiry .inquiry-form input::placeholder,.send-inquiry .inquiry-form textarea::placeholder {
    color: #666666;
    font-size: 16px;
}

.send-inquiry .inquiry-form input:focus,.send-inquiry .inquiry-form textarea:focus {
    border-color: var(--color)
}

.send-inquiry .inquiry-form textarea {
    padding-top: 10px;
    padding-left: 10px;
    width: 100%;
    outline: none;
    height: 200px;
    background: #F6F6F6;
    border: 1px solid #F6F6F6;
    resize: none
}

.send-inquiry .inquiry-form .input-error {
    border: 1px solid #FF7777
}

.send-inquiry .inquiry-form input,.wmkcfb-fileupload {
    position: relative;
    padding-left: 10px;
    width: 49%;
    height: 50px;
    outline: none;
    margin-bottom: 20px;
    background: #F6F6F6;
    border: 1px solid #F6F6F6
}

.wmkcfeedback .send-btn {
    min-width: 200px;
    height: 50px;
    display: flex;
    cursor: pointer;
    justify-content: center;
    align-items: center;
    margin: 20px auto;
    background-color: #000000;
    color: #FFFFFF;
    vertical-align: middle;
    transform: perspective(1px) translateZ(0);
    box-shadow: 0 0 1px transparent;
    position: relative;
    transition-property: color;
    transition-duration: .5s;
}


.cart-panel {
    position: fixed;
    width: 280px;
    right: 0px;
    bottom: 0px;
    bottom: constant(safe-area-inset-bottom);
    bottom: env(safe-area-inset-bottom);
    z-index: 9999999;
    background-color: #FFFFFF;
    box-shadow: 0 0 10px #EEE;
    font-size: var(--fontsize12);
    color: var(--fontcolor)
}

.cart-panel a {
    color: var(--fontcolor)
}

.cart-panel .cart-top {
    height: 36px;
    width: 100%;
    cursor: move;
    background-color: var(--color)
}

.cart-panel .cart-title {
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    text-align: center;
    line-height: 36px;
    font-size: var(--fontsize14);
    font-weight: var(--fontbold5);
    color: #FFFFFF
}

.cart-panel .close-btn {
    cursor: pointer
}

.cart-panel .list-wrap {
    height: 220px;
    overflow-y: auto
}

@media(min-width: 769px) {
    .cart-panel .list-wrap::-webkit-scrollbar {
        width:4px;
        height: 4px
    }

    .cart-panel .list-wrap::-webkit-scrollbar-track {
        border-radius: 0;
        background: #FFF
    }

    .cart-panel .list-wrap::-webkit-scrollbar-thumb {
        border-radius: 5px;
        background-color: rgba(205,162,116,.5)
    }

    .cart-panel .list-wrap::-webkit-scrollbar-thumb:hover {
        background-color: var(--color)
    }
}

.cart-panel .selected-item {
    padding: 10px;
    border-bottom: 1px solid #EEE;
    display: flex;
    position: relative
}

.cart-panel .selected-item:hover {
    background-color: #FAFAFA
}

.cart-panel .item-img {
    flex: 0 0 50px;
    width: 50px;
    height: 50px;
    display: flex;
    border: 1px solid #EEE;
    justify-content: center;
    align-items: center;
    margin-right: 10px
}

.cart-panel .item-img img {
    max-width: 100%;
    max-height: 100%
}

.cart-panel .item-info {
    width: calc(100% - 60px);
    padding-right: 26px
}

.cart-panel .item-title {
    width: 100%;
    display: block;
    margin: 5px 0px 0px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap
}

.cart-panel .item-del {
    cursor: pointer;
    color: #888;
    position: absolute;
    right: 8px;
    top: 14px;
    z-index: 1
}

.cart-panel .button-area {
    padding: 10px;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap
}

.cart-panel .button-area>button {
    outline: 0;
    border: 0px;
    cursor: pointer;
    padding: 8px 10px;
    font-size: var(--fontsize12);
    border-radius: 3px
}

.cart-panel .button-area .cart-order {
    background-color: var(--color);
    color: #FFFFFF
}

.cart-panel .button-area .cart-contact {
    background-color: var(--color);
    color: #FFFFFF
}

.cart-panel .button-area .cart-clear {
    background-color: #EDEDED;
    color: var(--fontcolor)
}

.cart-panel .arrow {
    position: absolute;
    display: none;
    bottom: -6px;
    right: 10vw;
    width: 0px;
    height: 0px;
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    border-top: 6px solid #FFF
}